%define name php-pear-Services_Weather
%define rname Services_Weather
%define version 1.3.1
%define rversion 1.3.1
%define release 1mdk

%define pear_phpdir %{_datadir}/pear
%define pear_docdir %{_datadir}/pear/docs
%define pear_extdir %{_libdir}/php/extensions
%define pear_datadir %{_datadir}/pear/data
%define pear_testdir %{_datadir}/pear/tests

Summary: This class acts as an interface to various online weather-services
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{rname}-%{version}.tar.bz2
License:   PHP License
Group:     Development/Other
Url:       http://pear.php.net/package/Services_Weather
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
PreReq:    php-pear
Requires: php-pear-Cache >= 1.5.3
Requires: php-pear-DB >= 1.4
Requires: php-pear-HTTP_Request >= 1.2
Requires: php-pear-SOAP >= 0.7.5
Requires: php-pear-XML_Serializer >= 0.8
%description
Services_Weather searches for given locations and retrieves current
weather data and, dependent on the used service, also forecasts. Up to
now, GlobalWeather from CapeScience, Weather XML from EJSE (US only),
a XOAP service from Weather.com and METAR/TAF from NOAA are supported.
Further services will get included, if they become available, have a
usable API and are properly documented.

%prep
%setup -q -n %rname-%rversion
mv ../package.xml .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/Services
cp Weather.php $RPM_BUILD_ROOT%{pear_phpdir}/Services/Weather.php
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/Services/Weather
cp Weather/Common.php $RPM_BUILD_ROOT%{pear_phpdir}/Services/Weather/Common.php
cp Weather/Globalweather.php $RPM_BUILD_ROOT%{pear_phpdir}/Services/Weather/Globalweather.php
cp Weather/Ejse.php $RPM_BUILD_ROOT%{pear_phpdir}/Services/Weather/Ejse.php
cp Weather/Metar.php $RPM_BUILD_ROOT%{pear_phpdir}/Services/Weather/Metar.php
cp Weather/Weatherdotcom.php $RPM_BUILD_ROOT%{pear_phpdir}/Services/Weather/Weatherdotcom.php
mkdir -p $RPM_BUILD_ROOT%{pear_docdir}/Services//examples
cp examples/globalweather-basic.php $RPM_BUILD_ROOT%{pear_docdir}/Services//examples/globalweather-basic.php
cp examples/ejse-basic.php $RPM_BUILD_ROOT%{pear_docdir}/Services//examples/ejse-basic.php
cp examples/metar-basic.php $RPM_BUILD_ROOT%{pear_docdir}/Services//examples/metar-basic.php
cp examples/metar-extensive.php $RPM_BUILD_ROOT%{pear_docdir}/Services//examples/metar-extensive.php
cp examples/php_sunrise_sunset.php $RPM_BUILD_ROOT%{pear_docdir}/Services//examples/php_sunrise_sunset.php
cp examples/weather.com-basic.php $RPM_BUILD_ROOT%{pear_docdir}/Services//examples/weather.com-basic.php
cp examples/weather.com-extensive.php $RPM_BUILD_ROOT%{pear_docdir}/Services//examples/weather.com-extensive.php
mkdir -p $RPM_BUILD_ROOT%{pear_datadir}/Services
cp buildMetarDB.php $RPM_BUILD_ROOT%{pear_datadir}/Services/buildMetarDB.php
mkdir -p $RPM_BUILD_ROOT%{pear_datadir}/Services/images
cp images/sunrise.gif $RPM_BUILD_ROOT%{pear_datadir}/Services/images/sunrise.gif
cp images/sunset.gif $RPM_BUILD_ROOT%{pear_datadir}/Services/images/sunset.gif

find $RPM_BUILD_ROOT -type f -exec sed -i 's|^#!/usr/local/bin/php|#!/usr/bin/php|' {} \;
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/packages
cp package.xml $RPM_BUILD_ROOT%{pear_phpdir}/packages/%{rname}.xml

%post
pear install -r -n %{pear_phpdir}/packages/%{rname}.xml

%preun
pear uninstall -r -n %{rname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{pear_phpdir}/Services
%dir %{pear_phpdir}/Services/Weather
%dir %{pear_docdir}/Services//examples
%dir %{pear_datadir}/Services
%dir %{pear_datadir}/Services/images
%{pear_phpdir}/Services/Weather.php
%{pear_phpdir}/Services/Weather/Common.php
%{pear_phpdir}/Services/Weather/Globalweather.php
%{pear_phpdir}/Services/Weather/Ejse.php
%{pear_phpdir}/Services/Weather/Metar.php
%{pear_phpdir}/Services/Weather/Weatherdotcom.php
%{pear_docdir}/Services//examples/globalweather-basic.php
%{pear_docdir}/Services//examples/ejse-basic.php
%{pear_docdir}/Services//examples/metar-basic.php
%{pear_docdir}/Services//examples/metar-extensive.php
%{pear_docdir}/Services//examples/php_sunrise_sunset.php
%{pear_docdir}/Services//examples/weather.com-basic.php
%{pear_docdir}/Services//examples/weather.com-extensive.php
%{pear_datadir}/Services/buildMetarDB.php
%{pear_datadir}/Services/images/sunrise.gif
%{pear_datadir}/Services/images/sunset.gif
%{pear_phpdir}/packages/%{rname}.xml

%changelog
* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.3.1-1mdk

- First mdk package

